Package org.drinkless.tdlib

# Class TdApi.StoryAreaTypeSuggestedReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryAreaType
org.drinkless.tdlib.TdApi.StoryAreaTypeSuggestedReaction

Enclosing class:
  `TdApi`

public static class TdApi.StoryAreaTypeSuggestedReaction extends TdApi.StoryAreaType
An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StoryAreaType

  `TdApi.StoryAreaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isDark`
  True, if reaction has a dark background.
  `boolean`
  `isFlipped`
  True, if reaction corner is flipped.
  `TdApi.ReactionType`
  `reactionType`
  Type of the reaction.
  `int`
  `totalCount`
  Number of times the reaction was added.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryAreaTypeSuggestedReaction()`
  An area pointing to a suggested reaction.
  `StoryAreaTypeSuggestedReaction(TdApi.ReactionType reactionType, int totalCount, boolean isDark, boolean isFlipped)`
  An area pointing to a suggested reaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reactionType

    public TdApi.ReactionType reactionType
    Type of the reaction.

  - ### totalCount

    public int totalCount
    Number of times the reaction was added.

  - ### isDark

    public boolean isDark
    True, if reaction has a dark background.

  - ### isFlipped

    public boolean isFlipped
    True, if reaction corner is flipped.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryAreaTypeSuggestedReaction

    public StoryAreaTypeSuggestedReaction()
    An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

  - ### StoryAreaTypeSuggestedReaction

    public StoryAreaTypeSuggestedReaction(TdApi.ReactionType reactionType, int totalCount, boolean isDark, boolean isFlipped)
    An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.
    Parameters:
      `reactionType` - Type of the reaction.
      `totalCount` - Number of times the reaction was added.
      `isDark` - True, if reaction has a dark background.
      `isFlipped` - True, if reaction corner is flipped.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StoryAreaType`
    Returns:
      this.CONSTRUCTOR